---
primaryTopic:
  Accounts:
    AccountCategory: DORMANT
    AccountRefDay: 28
    AccountRefMonth: 02
    LastMadeUpDate: 28/02/2023
    NextDueDate: 30/11/2024
  CompanyCategory: Private Limited Company
  CompanyName: BLEONA BEAUTY LTD
  CompanyNumber: 13937227
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 24/02/2022
  PreviousNames:
    - CONDate: 27/01/2023
      CompanyName: KELI'S FRESH FRUITS AND VEGETABLES LTD
  RegAddress:
    AddressLine1: 6 BELLE VUE TERRACE
    PostTown: NORTH SHIELDS
    Country: UNITED KINGDOM
    Postcode: NE29 6SG
  Returns:
    LastMadeUpDate: 24/01/2024
    NextDueDate: 07/02/2025
  SICCodes:
    SicText:
      - '96020 - Hairdressing and other beauty treatment'
